package com.sun.jmx.remote.internal;

import java.rmi.NoSuchObjectException;
import java.rmi.Remote;
import java.util.Properties;
import java.rmi.RemoteException;

public interface IIOPProxy
{
    public abstract boolean isStub(Object p0);
    
    public abstract Object getDelegate(Object p0);
    
    public abstract void setDelegate(Object p0, Object p1);
    
    public abstract Object getOrb(Object p0);
    
    public abstract void connect(Object p0, Object p1) throws RemoteException;
    
    public abstract boolean isOrb(Object p0);
    
    public abstract Object createOrb(String[] p0, Properties p1);
    
    public abstract Object stringToObject(Object p0, String p1);
    
    public abstract String objectToString(Object p0, Object p1);
    
    public abstract <T> T narrow(Object p0, Class<T> p1);
    
    public abstract void exportObject(Remote p0) throws RemoteException;
    
    public abstract void unexportObject(Remote p0) throws NoSuchObjectException;
    
    public abstract Remote toStub(Remote p0) throws NoSuchObjectException;
}
